Opened 3 years ago

Closed 3 years ago

#541 closed crash (Duplicate)

urgent! crash after install security update 2012-001 (OS X 10.6.8)

Reported by: lihengne@… Owned by: jeremyhu@…
Priority: Blocker Milestone: 2.7.1
Component: X11.pkg Version: 2.7.0 (xserver-1.11.2)
Keywords: Cc:

Description

Crash after install security update 2012-001 (OS X 10.6.8)
XQuartz version 2.7.0
Even after re-install XQuartz version 2.7.0, reboot, it still crash

Thanks in advance for fixing this problem!!!!

Process: X11.bin [64101]
Path: /Applications/Utilities/XQuartz.app/Contents/MacOS/X11
Identifier: org.macosforge.xquartz.X11
Version: ??? (???)
Code Type: X86-64 (Native)
Parent Process: launchd [144]

Date/Time: 2012-02-08 13:09:37.923 +0100
OS Version: Mac OS X 10.6.8 (10K549)
Report Version: 6

Interval Since Last Report: 410104 sec
Crashes Since Last Report: 2555
Per-App Interval Since Last Report: 22730 sec
Per-App Crashes Since Last Report: 2297
Anonymous UUID: 7DD80E0F-F9A5-4050-9B43-CD2B7E62AB40

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:

Library not loaded: /opt/X11/lib/libfreetype.6.dylib
Referenced from: /Applications/Utilities/XQuartz.app/Contents/MacOS/X11.bin
Reason: Incompatible library version: X11.bin requires version 15.0.0 or later, but libfreetype.6.dylib provides version 14.0.0

Binary Images:

0x7fff5fc00000 - 0x7fff5fc3bdef dyld 132.1 (???) <B536F2F1-9DF1-3B6C-1C2C-9075EA219A06> /usr/lib/dyld

Model: MacBookPro5,5, BootROM MBP55.00AC.B03, 2 processors, Intel Core 2 Duo, 2.53 GHz, 4 GB, SMC 1.47f2
Graphics: NVIDIA GeForce 9400M, NVIDIA GeForce 9400M, PCI, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: FUJITSU MJA2500BH FFS G1, 465.76 GB
Serial ATA Device: HL-DT-ST DVDRW GS23N
USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8507, 0x24400000 / 2
USB Device: Internal Memory Card Reader, 0x05ac (Apple Inc.), 0x8403, 0x26500000 / 2
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0236, 0x04600000 / 3
USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0x04500000 / 2
USB Device: BRCM2046 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0x06100000 / 2
USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8213, 0x06110000 / 3

Change History (1)

comment:1 Changed 3 years ago by jeremyhu@…

  • Resolution set to duplicate
  • Status changed from new to closed

This has nothing to do with the security update. The problem was that you had a newer version than 2.7.0, and you then installed 2.7.0 over it after the sec update. There was a bug in the packager used to make the 2.7.0 package which caused it to not downgrade the app bundle as part of the downgrade. I advise you to install the latest 2.7.1 rc, or delete XQuartz.app and re-run the 2.7.0 install.

Dupe of #532

Note: See TracTickets for help on using tickets.